--- a/configure.ac
+++ b/configure.ac
@@ -216,20 +216,6 @@ AC_SUBST([BUILD_FORTRAN])
 ## Build static libraries by default. Furthermore, fortran shared libraries
 ## are unsupported. Disallow a user from enabling both shared libraries and
 ## fortran.
-if test "X${enable_shared}" != "Xyes"; then
-    enable_shared="no"
-fi
-
-if test "X${enable_shared}" = "Xyes"; then
-    if test "X${BUILD_FORTRAN}" = "Xyes"; then
-        AC_MSG_ERROR([Cannot build shared fortran libraries. Please configure with --disable-fortran flag.])
-    fi
-fi
-
-AC_PROG_INSTALL
-AC_PROG_LN_S
-
-AC_CHECK_PROGS([AR], [ar xar], [:], [$PATH])
 
 AC_CHECK_PROGS([YACC], ['bison -y' byacc yacc], [none], [])
 
@@ -261,7 +247,7 @@ AC_SUBST([LT_STATIC_EXEC])
 ## ======================================================================
 ## Libtool initialization
 ## ======================================================================
-LT_INIT([dlopen disable-shared])
+LT_INIT([dlopen])
 LT_OUTPUT
 
 ## ----------------------------------------------------------------------
@@ -453,6 +439,8 @@ case "$withval" in
 
     if test -z "$HAVE_SZIP"; then
       AC_MSG_ERROR([couldn't find szlib library])
+    else
+      USE_COMP_SZIP="yes"
     fi
     ;;
   no)
@@ -496,7 +484,7 @@ case "$withval" in
 
     AC_CHECK_LIB([sz], [SZ_BufftoBuffCompress],, [unset HAVE_SZIP])
 
-    if test -z "$HAVE_SZIP"; then
+    if test "X$HAVE_SZIP" != "Xyes"; then
       AC_MSG_ERROR([couldn't find szlib library])
     else
       USE_COMP_SZIP="yes"
@@ -837,11 +825,6 @@ done
 ## ------------------------------------------------------------------------
 ## Check to see if libtool has enabled shared libraries. Set a conditional
 ## as some Makefiles will build based on availability of shared libraries.
-if (./libtool --features | grep '^enable shared libraries' > /dev/null); then
-  enable_shared=yes
-else
-  enable_shared=no
-fi
 
 ## ------------------------------------------------------------------------
 ## Specify shared library extension the host machine should recognize.
@@ -911,22 +894,7 @@ fi
 ## name of the compiler and the reported version number.
 AC_SUBST([F77_VERSION])
 ## Strip anything that looks like a flag off of $F77
-F77_NOFLAGS=`echo $F77 | sed 's/ -.*//'`
-
-if `echo $F77_NOFLAGS | grep ^/ >/dev/null 2>&1`; then
-  F77_VERSION="$F77"
-else
-  F77_VERSION="$F77";
-  for x in `echo $PATH | sed -e 's/:/ /g'`; do
-    if test -x $x/$F77_NOFLAGS; then
-      F77_VERSION="$x/$F77"
-      break
-    fi
-  done
-fi
-if test -n "$fc_version_info"; then
-  F77_VERSION="$F77_VERSION ( $fc_version_info)"
-fi
+F77_VERSION="$F77"
 
 ## This part doesn't work yet since HDF4 config files do not contain
 ## information for fortran_vendor and fortran_version. 
--- a/hdf/test/fortestF.f
+++ b/hdf/test/fortestF.f
@@ -203,7 +203,7 @@ C Skip command
 
 	if (cmd .NE. 'Test' .AND. cmd .NE. 'test') then
 	 print *, 'Unknown Command: ', cmd, param
-	 print *, 'Try one of "Skip", "Test", "Verbosity" or "Cleanup"'
+	 print *, 'Try one of Skip, Test, Verbosity or Cleanup'
 	 retcode = -1
 	 return
 	endif
--- a/mfhdf/libsrc/Makefile.am
+++ b/mfhdf/libsrc/Makefile.am
@@ -32,10 +32,11 @@ libmfhdf_la_SOURCES = $(CSOURCES) $(FSOURCES)
 else
 libmfhdf_la_SOURCES = $(CSOURCES)
 endif
+libmfhdf_la_LIBADD = $(top_builddir)/hdf/src/libdf.la
 
 if HDF_BUILD_XDR
 XDRLIB = $(top_builddir)/mfhdf/xdr/libxdr.la
-libmfhdf_la_LIBADD = $(XDRLIB)
+libmfhdf_la_LIBADD += $(XDRLIB)
 endif
 
 if HDF_BUILD_NETCDF
